Fetch attendance summary
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
year: 2026,
month: 1,
timeZone: 'Asia/Kolkata',
userId: ['f0ad9ad9-d421-48dc-868d-9760e33e5089'],
teamId: []
})
};
fetch('https://api.trackpilots.com/v1/report-analysis/attendance-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.trackpilots.com/v1/report-analysis/attendance-summary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"year": 2026,
"month": 1,
"timeZone": "Asia/Kolkata",
"userId": [
"f0ad9ad9-d421-48dc-868d-9760e33e5089"
],
"teamId": []
}
'import requests
url = "https://api.trackpilots.com/v1/report-analysis/attendance-summary"
payload = {
"year": 2026,
"month": 1,
"timeZone": "Asia/Kolkata",
"userId": ["f0ad9ad9-d421-48dc-868d-9760e33e5089"],
"teamId": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched attendance summary successfully",
"error": null,
"data": [
{
"user": {
"userId": "f0ad9ad9-d421-48dc-868d-9760e33e5089",
"name": "Abirami Kannan",
"profilePicUrl": null,
"emailId": "abiramikannan2006@gmail.com"
},
"attendanceSummary": {
"totalDays": 28,
"workingDays": 16,
"completedWorkingDays": 12,
"upcomingWorkingDays": 4,
"weekOffDays": 12,
"weekOffWorkedDays": 2,
"presentDays": 6,
"absentDays": 6
},
"dailySummary": [
{
"date": "2026-02-01",
"day": "Sunday",
"attendanceStatus": "PRESENT",
"checkIn": "9:05 AM",
"checkOut": "6:55 PM"
}
]
}
]
}Report Analysis
Fetch attendance summary
Fetch report analysis attendance summary
POST
/
v1
/
report-analysis
/
attendance-summary
Fetch attendance summary
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
year: 2026,
month: 1,
timeZone: 'Asia/Kolkata',
userId: ['f0ad9ad9-d421-48dc-868d-9760e33e5089'],
teamId: []
})
};
fetch('https://api.trackpilots.com/v1/report-analysis/attendance-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.trackpilots.com/v1/report-analysis/attendance-summary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"year": 2026,
"month": 1,
"timeZone": "Asia/Kolkata",
"userId": [
"f0ad9ad9-d421-48dc-868d-9760e33e5089"
],
"teamId": []
}
'import requests
url = "https://api.trackpilots.com/v1/report-analysis/attendance-summary"
payload = {
"year": 2026,
"month": 1,
"timeZone": "Asia/Kolkata",
"userId": ["f0ad9ad9-d421-48dc-868d-9760e33e5089"],
"teamId": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched attendance summary successfully",
"error": null,
"data": [
{
"user": {
"userId": "f0ad9ad9-d421-48dc-868d-9760e33e5089",
"name": "Abirami Kannan",
"profilePicUrl": null,
"emailId": "abiramikannan2006@gmail.com"
},
"attendanceSummary": {
"totalDays": 28,
"workingDays": 16,
"completedWorkingDays": 12,
"upcomingWorkingDays": 4,
"weekOffDays": 12,
"weekOffWorkedDays": 2,
"presentDays": 6,
"absentDays": 6
},
"dailySummary": [
{
"date": "2026-02-01",
"day": "Sunday",
"attendanceStatus": "PRESENT",
"checkIn": "9:05 AM",
"checkOut": "6:55 PM"
}
]
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
Either userId or teamId must be provided. Both cannot be empty.
Required range:
2000 <= x <= 2200Example:
2026
Required range:
1 <= x <= 12Example:
1
IANA timezone of the requester
Example:
"Asia/Kolkata"
List of user UUIDs to fetch screenshots for
List of team UUIDs to fetch screenshots for
Example:
[]
